<template>
  <v-form
    :value="valid_filename"
    @input="$emit('update:valid_filename', $event)"
  >
    <v-row justify="center">
      <v-col cols="5">
        <v-text-field
          :value="filename"
          placeholder="log"
          @input="$emit('update:filename', $event)"
          :rules="[rules.required, rules.counter, rules.pattern]"
          label="Filename"
        >
          <template v-slot:append>
            <span>.csv</span>
          </template>
        </v-text-field>
      </v-col>
    </v-row>
  </v-form>
</template>

<script>
export default {
  name: "LogDevices",
  props: ["valid_filename", "filename"],
  data: () => ({
    rules: {
      required: (value) => !!value || "Required.",
      counter: (value) => value.length > 0 || "Empty filename",
      pattern: (value) => {
        const pattern = /^[\w]+[\w\s]*$/;
        return pattern.test(value) || "Invalid filename";
      },
    },
  }),
};
</script>